View Issue Details

IDProjectCategoryView StatusLast Update
0001292Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2014-08-20 09:59
ReporterChocoheadAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001292: Crushing E-net/Cable Lag
DescriptionI was testing a theory off the Twitch chat about the nuclear reactor outputting what it says in the GUI to each cable, thus allowing much greater amounts of power produced (which by the way happens), but while trying to cover a full sized EU reactor in copper cable, my game got laggier and laggier, with cables taking seconds to update if an adjacent cable was added or broken. Eventually, the game froze, and after about 2 minutes, I got this crash:

---- Minecraft Crash Report ----
// Oh - I know what I did wrong!

Time: 19/08/14 20:18
Description: Exception in server tick loop

java.lang.OutOfMemoryError: GC overhead limit exceeded
    at java.util.AbstractList.iterator(Unknown Source)
    at ic2.core.energy.Grid.add(Grid.java:54)
    at ic2.core.energy.EnergyNetLocal.addTileToGrids(EnergyNetLocal.java:490)
    at ic2.core.energy.EnergyNetLocal.addTileEntity(EnergyNetLocal.java:177)
    at ic2.core.energy.EnergyNetLocal.addTileEntity(EnergyNetLocal.java:61)
    at ic2.core.energy.EventHandler.onEnergyTileLoad(EventHandler.java:27)
    at cpw.mods.fml.common.eventhandler.ASMEventHandler_50_EventHandler_onEnergyTileLoad_EnergyTileLoadEvent.invoke(.dynamic)
    at cpw.mods.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:51)
    at cpw.mods.fml.common.eventhandler.EventBus.post(EventBus.java:122)
    at ic2.core.block.wiring.TileEntityElectricBlock.onLoaded(TileEntityElectricBlock.java:104)
    at ic2.core.block.TileEntityBlock$1.tickCallback(TileEntityBlock.java:53)
    at ic2.core.TickHandler.processTickCallbacks(TickHandler.java:173)
    at ic2.core.TickHandler.onWorldTick(TickHandler.java:58)
    at cpw.mods.fml.common.eventhandler.ASMEventHandler_28_TickHandler_onWorldTick_WorldTickEvent.invoke(.dynamic)
    at cpw.mods.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:51)
    at cpw.mods.fml.common.eventhandler.EventBus.post(EventBus.java:122)
    at cpw.mods.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:268)
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:620)
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547)
    at net.minecraft.server.integrated.IntegratedServer.func_71217_p(IntegratedServer.java:111)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427)
    at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)
TagsNo tags attached.
Minecraft Version

Activities

Player

2014-08-20 06:27

administrator   ~0003221

Can you post a screenshot of the setup?

Player

2014-08-20 07:07

administrator   ~0003222

Nvm, i'm seeing what's wrong.

Player

2014-08-20 09:59

administrator   ~0003226

Fixed

Issue History

Date Modified Username Field Change
2014-08-19 19:21 Chocohead New Issue
2014-08-20 05:59 Thunderdark Assigned To => Player
2014-08-20 05:59 Thunderdark Status new => assigned
2014-08-20 06:27 Player Note Added: 0003221
2014-08-20 07:07 Player Note Added: 0003222
2014-08-20 09:59 Player Note Added: 0003226
2014-08-20 09:59 Player Status assigned => resolved
2014-08-20 09:59 Player Resolution open => fixed